commit:     6403d6798b8218375b79dfc1c2b07ec506f492be
Author:     Volkmar W. Pogatzki <gentoo <AT> pogatzki <DOT> net>
AuthorDate: Mon May  9 08:55:05 2022 +0000
Commit:     Florian Schmaus <flow <AT> gentoo <DOT> org>
CommitDate: Tue May 10 06:33:58 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6403d679

dev-java/jakarta-activation-api: virtual/jdk-1.8:*" -> -11.*

Bug: https://bugs.gentoo.org/797289
Signed-off-by: Volkmar W. Pogatzki <gentoo <AT> pogatzki.net>
Signed-off-by: Florian Schmaus <flow <AT> gentoo.org>

 .../jakarta-activation-api-1.2.2-r1.ebuild         | 52 ++++++++++++++++++++++
 .../jakarta-activation-api-2.1.0-r1.ebuild         | 35 +++++++++++++++
 2 files changed, 87 insertions(+)

diff --git 
a/dev-java/jakarta-activation-api/jakarta-activation-api-1.2.2-r1.ebuild 
b/dev-java/jakarta-activation-api/jakarta-activation-api-1.2.2-r1.ebuild
new file mode 100644
index 000000000000..459fa0f06282
--- /dev/null
+++ b/dev-java/jakarta-activation-api/jakarta-activation-api-1.2.2-r1.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# Skeleton command:
+# java-ebuilder --generate-ebuild --workdir . --pom 
jaf-1.2.2/activationapi/pom.xml --download-uri 
https://github.com/eclipse-ee4j/jaf/archive/refs/tags/1.2.2.tar.gz --slot 1 
--keywords "~amd64 ~arm ~arm64 ~ppc64 ~x86" --ebuild 
jakarta-activation-api-1.2.2.ebuild
+
+EAPI=8
+
+JAVA_PKG_IUSE="doc source"
+MAVEN_ID="jakarta.activation:jakarta.activation-api:1.2.2"
+
+inherit java-pkg-2 java-pkg-simple
+
+DESCRIPTION="Jakarta Activation API jar"
+HOMEPAGE="https://eclipse-ee4j.github.io/jaf/";
+SRC_URI="https://github.com/eclipse-ee4j/jaf/archive/${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="EPL-1.0"
+SLOT="1"
+KEYWORDS="amd64 ~arm arm64 ppc64 x86"
+
+DEPEND=">=virtual/jdk-11:*"
+RDEPEND=">=virtual/jre-1.8:*"
+BDEPEND="app-arch/zip"
+
+DOCS=( ../{CONTRIBUTING,NOTICE,README}.md )
+
+S="${WORKDIR}/jaf-${PV}/activation"
+
+JAVA_ENCODING="iso-8859-1"
+
+JAVA_SRC_DIR="src/main/java"
+JAVA_RESOURCE_DIRS="src/main/resources"
+
+src_prepare() {
+       default
+       # these files are not present in the upstream jar
+       find ${JAVA_RESOURCE_DIRS} -name "*.default" -delete || die "Failed to 
delete *.default files"
+}
+
+src_compile() {
+       java-pkg-simple_src_compile
+       # we remove implementation classes from the api
+       zip -d ${PN}.jar "com/*" || die "Failed to remove implementation 
classes"
+}
+
+src_install() {
+       default
+       # we remove the implementation sources so that they don't land in 
sources
+       rm -fr ${JAVA_SRC_DIR}/com || "Failed to delete implementation sources"
+       java-pkg-simple_src_install
+}

diff --git 
a/dev-java/jakarta-activation-api/jakarta-activation-api-2.1.0-r1.ebuild 
b/dev-java/jakarta-activation-api/jakarta-activation-api-2.1.0-r1.ebuild
new file mode 100644
index 000000000000..2b6b9f6729b6
--- /dev/null
+++ b/dev-java/jakarta-activation-api/jakarta-activation-api-2.1.0-r1.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# Skeleton command:
+# java-ebuilder --generate-ebuild --workdir . --pom pom.xml --download-uri 
https://github.com/eclipse-ee4j/jaf/archive/refs/tags/2.0.1.tar.gz --slot 0 
--keywords "~amd64 ~arm ~arm64 ~ppc64 ~x86" --ebuild 
jakarta-activation-2.0.1.ebuild
+
+EAPI=8
+
+JAVA_PKG_IUSE="doc source"
+MAVEN_ID="jakarta.activation:jakarta.activation-api:2.1.0"
+
+inherit java-pkg-2 java-pkg-simple
+
+DESCRIPTION="Jakarta Activation API jar"
+HOMEPAGE="https://eclipse-ee4j.github.io/jaf/";
+SRC_URI="https://github.com/eclipse-ee4j/jaf/archive/${PV}.tar.gz -> 
jakarta-activation-${PV}.tar.gz"
+
+LICENSE="EPL-1.0"
+SLOT="2"
+KEYWORDS="amd64 ~arm arm64 ppc64 x86"
+
+DEPEND=">=virtual/jdk-11:*"
+RDEPEND=">=virtual/jre-1.8:*"
+
+DOCS=( ../{CONTRIBUTING,NOTICE,README}.md )
+
+S="${WORKDIR}/jaf-${PV}/api"
+
+JAVA_SRC_DIR="src/main/java"
+JAVA_RESOURCE_DIRS="src/main/resources"
+
+src_install() {
+       default # https://bugs.gentoo.org/789582
+       java-pkg-simple_src_install
+}

Reply via email to